org.apache.mina.proxy.event

## Enum IoSessionEventType

- java.lang.Object
- - java.lang.Enum<IoSessionEventType>
  - - org.apache.mina.proxy.event.IoSessionEventType

- All Implemented Interfaces:
    Serializable, Comparable<IoSessionEventType>

      public enum IoSessionEventType
      extends Enum<IoSessionEventType>

  IoSessionEventType.java - Enumerates session event types.
  Since:
    MINA 2.0.0-M3
  Author:
    Apache MINA Project

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSED`
    `CREATED`
    `IDLE`
    `OPENED`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getId()` Returns the event id.
    `String` | `toString()`
    `static IoSessionEventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IoSessionEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CREATED

          public static final IoSessionEventType CREATED

    - #### OPENED

          public static final IoSessionEventType OPENED

    - #### IDLE

          public static final IoSessionEventType IDLE

    - #### CLOSED

          public static final IoSessionEventType CLOSED

  - ### Method Detail

    - #### values

          public static IoSessionEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IoSessionEventType c : IoSessionEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IoSessionEventType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public int getId()

      Returns the event id.
      Returns:
        the event id

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<IoSessionEventType>`

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.